import React from 'react';
import { connect } from 'umi';
import ProductionMainPlanComponentInfo from '../../components/productionMainPlan/productionMainPlan';

function ProductionMainPlan({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const productionPlanProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <ProductionMainPlanComponentInfo {...productionPlanProps} className="test" />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProductionMainPlan);
